Bug 1072681 - (CVE-2014-0120) CVE-2014-0120 hawtio-karaf-terminal: cross-site request forgery (CSRF)
CVE-2014-0120 hawtio-karaf-terminal: cross-site request forgery (CSRF)
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140414,repor...
: Security
Depends On:
Blocks: 1072724
  Show dependency treegraph
 
Reported: 2014-03-04 21:52 EST by Trevor Jay
Modified: 2015-01-29 06:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-14 14:42:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor Jay 2014-03-04 21:52:18 EST
hawtio-karaf-terminal is vulnerable to Cross-Site Request Forgery (CSRF) attacks. A remote attacker could provide a specially-crafted web page that, when visited by a user logged in to the hawt.io web console, could allow the attacker to run arbitrary commands on the underlying Karaf server.
Comment 1 Trevor Jay 2014-03-05 00:52:03 EST
Acknowledgements:

This issue was discovered by David Jorm of the Red Hat Security Response Team.
Comment 3 David Jorm 2014-03-06 22:14:04 EST
Upstream patch commit:

https://github.com/hawtio/hawtio/commit/b4e23e002639c274a2f687ada980118512f06113
Comment 5 Chess Hazlett 2014-04-14 14:42:04 EDT
Statement:

Not vulnerable. This issue only affects Red Hat JBoss Fuse 6.1.0 Beta. It is resolved in the general availability release of Red Hat JBoss Fuse 6.1.0. Earlier versions of Red Hat JBoss Fuse are not affected, as they did not include the hawtio-karaf-terminal component.

Note You need to log in before you can comment on or make changes to this bug.